Name:		linsmith	
Version:	0.99.11
Release:	1%{?dist}
Summary:	A Smith charting program.

Group:		Applications/Engineering
License:	GPL
URL:		http://jcoppens.com/soft/linsmith/index.en.php
Source0:	http://downloads.sourceforge.net/linsmith/linsmith-0.99.11.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	libxml2-devel >= 2.5
BuildRequires:	libgnomeprint22-devel >= 2.2
BuildRequires:  libgnomeui-devel      >= 2.0



Requires:	libxml2	>= 2.5
Requires:	libgnomeprint22	>= 2.2
Requires:	libgnomeui	>= 2.0


%description
A Smith charting program. You can enter either discrete components or transmission lines, see the results on screen and/or generate Postscript output. Component values can be changed numerically or using scrollbars.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
#remove unwanted file.
# does we have to do it now/before ? Does I have to create a path ?
# There is probably a macro to "/home/builder/rpmbuild/BUILD/" 
rm -f /home/builder/rpmbuild/BUILD/%{name}-%{version}/pixmaps/Makefile.am~

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_prefix}/share/%{name}/6-1.circ
%{_prefix}/share/%{name}/6-1.load
%{_prefix}/share/%{name}/6-4.circ
%{_prefix}/share/%{name}/6-4.load
%{_prefix}/share/%{name}/6-5.circ
%{_prefix}/share/%{name}/6-5.load
%{_prefix}/share/%{name}/6-6.circ
%{_prefix}/share/%{name}/6-6.load
%{_prefix}/share/%{name}/conv0809
%{_prefix}/share/%{name}/nb_40.load
%{_prefix}/share/pixmaps/%{name}/smith4.png
%{_prefix}/share/pixmaps/%{name}/smithent.png


%changelog
* Sun Nov 30 2008 Matthieu Gautier <mgautier@fedoraproject.org> 0.99.11-1
- Initial RPM release
